routes/admin.php
<?php

use Illuminate\Support\Facades\Route;

Route::prefix('admin')->name('admin.')->namespace('Auth')->middleware('guest:admin')->group(function () {
    // Authentication Routes...
    Route::get('/', 'LoginController@showLoginForm')->name('login');
    Route::get('login', 'LoginController@showLoginForm')->name('login');
    Route::post('login', 'LoginController@login')->name('login.submit');
});

Route::name('admin.')->prefix('admin')->middleware(['auth:admin'])->group(function () {
    Route::patch('/fcm-token', 'HomeController@updateToken')->name('fcmToken');
    Route::post('logout', 'Auth\LoginController@logout')->name('logout');
    Route::get('editprofile', 'HomeController@editprofile')->name('editprofile');
    Route::post('updateprofile', 'HomeController@updateprofile')->name('updateprofile');


    Route::get('/home', 'HomeController@index')->name('home');
    Route::group(['prefix' => 'teacher'], function () {
        Route::get('/', 'TeacherController@index')->name('techers');
        Route::get('/update/{id}', 'TeacherController@update')->name('teachers.update');
        Route::post('/delete/{id}', 'TeacherController@destroy')->name('teachers.delete');
    });

    Route::group(['prefix' => 'user'], function () {
        Route::get('/', 'UserController@index')->name('users');
        Route::post('/delete/{id}', 'UserController@destroy')->name('users.delete');
        Route::get('/edit/{id}', 'UserController@edit')->name('users.edit');
        Route::get('/update/{id}', 'UserController@update')->name('users.update');
        Route::post('/assign/teacher/{id}', 'UserController@assignteacher')->name('users.assignteacher');
    });
});

routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', 'Auth\LoginController@showLoginForm')->name('logins');

Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('login', 'Auth\LoginController@login')->name('login');
Route::post('logout', 'Auth\LoginController@logout')->name('logout');

// Registration Routes...
Route::get('register', 'Auth\RegisterController@showRegistrationForm')->name('register');
Route::post('register', 'Auth\RegisterController@create')->name('registersubmit');

// Auth::routes();
Route::middleware(['auth:web'])->group(function () {
    Route::patch('/fcm-token', 'HomeController@updateToken')->name('fcmToken');
    Route::get('/home', 'HomeController@index')->name('home');
    Route::get('/edit-profile', 'HomeController@editProfile')->name('editProfile');
    Route::post('/update-profile', 'HomeController@updateProfile')->name('updateProfile');
});

resources/views/admin/layouts/admin.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }} | Admin</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.1/css/dataTables.bootstrap5.min.css">
</head>

<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/admin') }}">
                    {{ config('app.name', 'Laravel') }} | Admin
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav me-auto">
                        @auth
                            @if (auth()->user()->user_type == 'admin')
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('admin.editprofile') }}">Edit Profile</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('admin.users') }}">List Users</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('admin.techers') }}">List Teachers</a>
                                </li>
                            @endif
                        @endauth
                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ms-auto">
                        <!-- Authentication Links -->
                        @guest
                            @if (Route::has('login'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('admin.login') }}">{{ __('Login') }}</a>
                                </li>
                            @endif

                            {{-- @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif --}}
                        @else
                            @if (auth()->user()->user_type == 'admin')
                                <li class="nav-item dropdown">
                                    <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button"
                                        data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                        {{ Auth::user()->name }}
                                    </a>

                                    <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                        <a class="dropdown-item" href="{{ route('admin.logout') }}"
                                            onclick="event.preventDefault();
                                                        document.getElementById('logout-form').submit();">
                                            {{ __('Logout') }}
                                        </a>

                                        <form id="logout-form" action="{{ route('admin.logout') }}" method="POST"
                                            class="d-none">
                                            @csrf
                                        </form>
                                    </div>
                                </li>
                            @endif
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.1/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.1/js/dataTables.bootstrap5.min.js"></script>
    @stack('script')
    @auth
        <!-- The core Firebase JS SDK is always required and must be listed first -->
        <script src="https://www.gstatic.com/firebasejs/8.3.2/firebase-app.js"></script>
        <script src="https://www.gstatic.com/firebasejs/8.3.2/firebase-messaging.js"></script>

        <!-- TODO: Add SDKs for Firebase products that you want to use
        https://firebase.google.com/docs/web/setup#available-libraries -->

        <script>
            // Your web app's Firebase configuration
            var firebaseConfig = {
                apiKey: "AIzaSyDfEvVg5WX0WH0kXm2qFpKZr3qlZaU1Ww4",
                authDomain: "study-panel.firebaseapp.com",
                projectId: "study-panel",
                storageBucket: "study-panel.appspot.com",
                messagingSenderId: "490655242648",
                appId: "1:490655242648:web:ca34c5419c1ced852873ed",
                measurementId: "G-W1L4PWW01V"
            };
            // Initialize Firebase
            firebase.initializeApp(firebaseConfig);

            const messaging = firebase.messaging();
            function initFirebaseMessagingRegistration() {
                messaging.requestPermission().then(function() {
                    return messaging.getToken()
                }).then(function(token) {

                    axios.post("{{ route('admin.fcmToken') }}", {
                        _method: "PATCH",
                        token
                    }).then(({
                        data
                    }) => {
                        console.log(data)
                    }).catch(({
                        response: {
                            data
                        }
                    }) => {
                        console.error(data)
                    })

                }).catch(function(err) {
                    console.log(`Token Error :: ${err}`);
                });
            }

            initFirebaseMessagingRegistration();

            messaging.onMessage(function({
                data: {
                    body,
                    title
                }
            }) {
                new Notification(title, {
                    body
                });
            });
            
        </script>
    @endauth
</body>

</html>